%global framework syntax-highlighting

# uncomment to enable bootstrap mode
#global bootstrap 1

%if !0%{?bootstrap}
%global tests 1
%endif

Name:    kf5-%{framework}
Version: 5.31.0
Release: 1%{?dist}
Summary: KDE Frameworks 5 Syntax highlighting engine for Kate syntax definitions

License: LGPLv2+
URL:     https://cgit.kde.org/%{framework}.git

%global majmin %(echo %{version} | cut -d. -f1-2)
%global revision %(echo %{version} | cut -d. -f3)
%if %{revision} >= 50
%global stable unstable
%else
%global stable stable
%endif
Source0: http://download.kde.org/%{stable}/frameworks/%{majmin}/%{framework}-%{version}.tar.xz

BuildRequires: extra-cmake-modules
BuildRequires: kf5-rpm-macros

BuildRequires: perl
BuildRequires: qt5-qtbase-devel
# optional deps
%if ! 0%{?bootstrap}
BuildRequires: qt5-qtxmlpatterns-devel
%endif

Requires:      kf5-filesystem >= %{majmin}

%description
%{summary}.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}
%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%autosetup -n %{framework}-%{version} -p1

# to allow building on non-rawhide (for now)
sed -i \
  -e 's|^find_package(ECM 5.29.0 |find_package(ECM 5.27.0 |' \
  CMakeLists.txt



%build
mkdir %{_target_platform}
pushd %{_target_platform}
%{cmake_kf5} .. \
  -DBUILD_TESTING:BOOL=%{?tests:ON}%{!?tests:OFF}
popd

make %{?_smp_mflags} -C %{_target_platform}


%install
make install/fast DESTDIR=%{buildroot} -C %{_target_platform}

%find_lang_kf5 syntaxhighlighting5_qt


%check
%if 0%{?tests}
export CTEST_OUTPUT_ON_FAILURE=1
make test ARGS="--output-on-failure --timeout 300" -C %{_target_platform} ||:
%endif


%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files -f syntaxhighlighting5_qt.lang
%doc README.md
%license COPYING.LIB
%{_kf5_sysconfdir}/xdg/org_kde_ksyntaxhighlighting.categories
%{_kf5_bindir}/kate-syntax-highlighter
%{_kf5_libdir}/libKF5SyntaxHighlighting.so.*

%files devel
%{_kf5_libdir}/libKF5SyntaxHighlighting.so
%{_kf5_libdir}/cmake/KF5SyntaxHighlighting/
%{_kf5_includedir}/ksyntaxhighlighting_version.h
%{_kf5_includedir}/KSyntaxHighlighting/
%{_kf5_archdatadir}/mkspecs/modules/qt_KSyntaxHighlighting.pri


%changelog
* Mon Feb 06 2017 Rex Dieter <rdieter@fedoraproject.org> - 5.31.0-1
- 5.31.0

* Mon Dec 19 2016 Rex Dieter <rdieter@fedoraproject.org> - 5.29.0-1
- first try
